# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# Copyright (c) 2006-2008 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:		DivFix++
Summary:		Repair broken AVI file streams by rebuilding index part of file
Version:		0.34
Release:		alt1_15
License:		GPLv2+
Group:		Video
URL:			http://divfixpp.sourceforge.net/
Source0:		http://downloads.sourceforge.net/divfixpp/%{name}_v%{version}-src.tar.bz2
BuildRequires:	dos2unix
BuildRequires:	wxGTK-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Source44: import.info

%description
This program designed to repair broken AVI file streams by
rebuilding index part of file. This is very useful when trying
to preview movies which has no index part, like some files are
currently downloading from ed2k or bittorent networks.

DivFix++ has supports CLI tools, this means you can fix, preview
and delete movies automatically via script (by using argument
parameters...)

DivFix++ program code supports lots of operating system, because
it's writen by cross-platform API, wxWidgets.

%prep
%setup -q -n %{name}_v%{version}
sed -i.flags -e 's|-Os||' makefile

dos2unix		docs/*
%{__chmod}	644	docs/*

%build
#make %{?_smp_mflags} WXCONFIG=wx-config
# Correct handle build flags
make %{?_smp_mflags} WXCONFIG=wx-config CPP="g++ %{optflags}"

%install

%{__install} -p -dm 755 %{buildroot}%{_bindir}
%{__install} -p -m 755 %{name} \
	%{buildroot}%{_bindir}

for i in cs_CZ hu ja tr; do
	%{__install} -p -dm 755 %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
	%{__install} -p -m 644 locale/$i/DivFix++.mo \
		%{buildroot}%{_datadir}/locale/$i/LC_MESSAGES
done

# icon and menu-entry
%{__install} -p -dm 755 %{buildroot}%{_datadir}/pixmaps
%{__install} -p -m 644 resources/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

%{__cat} > %{name}.desktop << EOF
[Desktop Entry]
Comment=A program to repair broken AVI file streams by rebuilding index part of file
Name=%{name}
GenericName=
Type=Application
Exec=%{name}
Icon=%{name}
Encoding=UTF-8
Categories=Video;AudioVideo;X-AudioVideoTools;
EOF

desktop-file-install --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications	\
	--mode 0644							\
	%{name}.desktop


%find_lang %{name}

%files -f %{name}.lang
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_15
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1_14
- initial fc import

